function [v,i,x]=SORmethod(A,b,N,epsi,omega)
n=size(A,1);
L=-tril(A,-1);
U=-triu(A,1);
D=A+U+L;
H=(D-omega*L)\((1-omega)*D+omega*U);
b=((D-omega*L)\b)*omega;
x0=zeros(n,2);
i=0;delta=1;
K=norm(H)/(1-norm(H));
v=-log(vrho(H));
while((delta>epsi)&&(i<N))
    x0(:,2)=x0(:,1);
    x0(:,1)=H*x0(:,2)+b;
    delta=K*norm(x0(:,1)-x0(:,2));
    i=i+1;
end
x=x0(:,1);
end
